Printago API
POST
/v1/customizer/designs/simulate
Preview customizer build overlay
Local-dev: preview the OpenSCAD build payload that WOULD be assembled for a given customizer design — without creating an OrderItem or queueing a build. Used by the customizer's local Add-to-Cart shortcut while Shopify is cut out of the loop.
Request Body
RequestBody
configIdoptional
string
pattern: ^[a-z0-9]{24}$
designIdrequired
string
pattern: ^[a-z0-9]{24}$
Example Request
application/json
{
"designId": "string",
"configId": "string"
}
Response Schema
Response
configrequirednullable
object
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequirednullable
string
skuIdsrequired
string[]
designIdrequired
string
pattern: ^[a-z0-9]{24}$
filesrequired
object[]
colorrequirednullable
string
contentTyperequirednullable
string
rolerequirednullable
string
slotrequired
string
storagePathrequired
string
inputFilesBySlotrequired
Record<string, string>
Construct a type with a set of properties K of type T
messagerequired
string
overlayParamsrequired
string[]
Example Response
201 OK — application/json
{
"designId": "string",
"files": [
{
"slot": "string",
"role": "string",
"color": "string",
"contentType": "string",
"storagePath": "string"
}
],
"inputFilesBySlot": {},
"overlayParams": [
"string"
],
"config": {
"id": "string",
"name": "string",
"skuIds": [
"string"
]
},
"message": "string"
}